View all methods

workflows.list

List Self Service Workflows for the account. A workflow is the definition you configure in DX (identifier, parameters, HTTP template, scope, and filters).

See the workflowRuns.info method to get information about an individual execution instance based on a given Workflow.

Facts

Method GET https://api.getdx.com/workflows.list
Required scope workflows:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Optional arguments

Name Type Description
scope Text Filter by workflow scope: GLOBAL or ENTITY. When omitted, both scopes are included.
entity_identifier Text Filters results to workflows that apply to the catalog entity with
this identifier. Must be used along with scope=ENTITY.

Example request

List workflows the caller can trigger (typical PAT request):

curl -X GET 'https://api.getdx.com/workflows.list' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Filter to entity-scoped workflows that apply to a specific catalog entity:

curl -X GET 'https://api.getdx.com/workflows.list?scope=ENTITY&entity_identifier=acme-app' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "workflows": [
    {
      "identifier": "provision-single-tenant-instance",
      "name": "Provision Single-tenant Instance",
      "description": "Create a new single-tenant instance and associate with an account",
      "icon": "globe",
      "color": "#38bdf8",
      "scope": "ENTITY",
      "entity_filter_type": "ENTITY_TYPES",
      "entity_filter_sql": null,
      "entity_filter_type_identifiers": ["service"],
      "execution_type": "EVENT_DRIVEN",
      "trigger_type": "ANY",
      "parameters": [
        {
          "identifier": "app_name",
          "name": "App name",
          "description": "The all-lowercase name of the app to provision.",
          "default_value": null,
          "is_required": true,
          "type": "STRING",
          "definition": null
        },
        {
          "identifier": "account_id",
          "name": "Account ID",
          "description": "The numeric account ID.",
          "default_value": null,
          "is_required": true,
          "type": "INTEGER",
          "definition": null
        }
      ]
    }
  ]
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
entity_not_found The entity for the entity_identifier parameter was not found.
invalid_scope The scope param is not GLOBAL or ENTITY.
entity_scope_required entity_identifier was sent without scope=ENTITY.